[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] autogen.sh: Restore --no-git (avoid git submodule update)


  • To: <libvir-list@xxxxxxxxxx>
  • From: Ian Jackson <ian.jackson@xxxxxxxxxxxxx>
  • Date: Tue, 2 Jun 2020 16:47:45 +0100
  • Authentication-results: esa6.hc3370-68.iphmx.com; dkim=none (message not signed) header.i=none
  • Cc: xen-devel@xxxxxxxxxxxxxxxxxxxx, Ian Jackson <ian.jackson@xxxxxxxxxxxxx>, George Dunlap <George.Dunlap@xxxxxxxxxx>
  • Delivery-date: Tue, 02 Jun 2020 15:48:06 +0000
  • Ironport-sdr: WG0yBtzVoLjaZ8Z0nvlOcMIIOaHUvHbOHixTxHma52lOACGW/5wkEke0E6aEl9RtN1UbMcnHxZ jRxXPDRo1mCWOi7kCr3zsQlw3+AG4hjXxvZQmtlUZm3Zq9nIdb7ainGi+Yt+o9o+iw+ZjD68e6 WGiG6TGkMU0941sR/g1FSas90YJXHuGRpbvXzwvL6GQjYU9Kgovj7qA9GUnQpUXjB2UqkjkhS5 +VvzstNUWGmDztKIUb+gwjPpYPnatZ8VW0wyQxip3jbmRu1PWldEQEhnD6rYYubnSGbBWOUU04 Vp0=
  • List-id: Xen developer discussion <xen-devel.lists.xenproject.org>

Prior to 2621d48f005a "gnulib: delete all gnulib integration",
one could pass ./autogen.sh --no-git to prevent the libvirt build
system from running git submodule update.

This feature is needed by systems like the Xen Project CI which want
to explicitly control the revisions of every tree.  These will
typically arrange to initialise the submodules check out the right
version of everything, and then expect the build system not to mess
with it any more.

Despite to the old documentation comments referring only to gnulib,
the --no-git feature is required not only because of gnulib but also
because of the other submodule, src/keycodemapdb.

(And in any case, even if it were no longer required because all the
submodules were removed, it ought ideally to have been retained as a
no-op for compaibility reasons.)

So restore the --no-git feature.

Because of the way the argument parsing of autogen.sh works, it is
easiest to recognise this option only if it comes first.  This works
for the Xen Project CI, which has always passed this option first.

If something else is using this option (and hasn't introduced a
different workaround in the meantime), not in the first position,
then perhaps a more sophisticated approach will be needed.  But I
think this will do for now.

Signed-off-by: Ian Jackson <ian.jackson@xxxxxxxxxxxxx>
---
 autogen.sh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/autogen.sh b/autogen.sh
index 4e1bbceb0a..1c98273452 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,10 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+#
+# THe following options must come first.  All other or subsequent
+# arguments are passed to configure:
+#   --no-git   skip `git submodule update --init`
+
 test -n "$srcdir" || srcdir=$(dirname "$0")
 test -n "$srcdir" || srcdir=.
 
@@ -13,7 +18,11 @@ cd "$srcdir"
     exit 1
 }
 
-git submodule update --init || exit 1
+if [ "x$1" = x--no-git ]; then
+       shift
+else
+       git submodule update --init || exit 1
+fi
 
 autoreconf --verbose --force --install || exit 1
 
-- 
2.11.0




 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.